#include <iostream>
#include <algorithm>
using namespace std;

int main()
{
	int T,N,M,i,j,k,dalje,p,n,m;
	int niz1[10],niz0[10],x[N],y[M];
	cin>>T;
	for(i=0;i<T;i++)
	{
		cin>>N;
		cin>>M;
		j=0;
		do
		{
			cin>>niz1[j];
			j++;
		}while(j<N);
		
		sort(niz1, niz1+N);
		x[i]=niz1[1]-niz1[0];
		
		k=0;
		do
		{
			cin>>niz0[j];
			k++;
		}while(k<M);
		
		sort(niz0, niz0+N);
		y[i]=niz0[1]-niz0[0];
		
	}
	for(i=0;i<T;i++)
	{
		if(x[i]!=y[i])
			cout<<1<<endl;
		else
			cout<<0<<endl;
	}
}